Complete bank account verification | Moov Documentation

Complete bank account verification

Finalize the instant micro-deposit verification by submitting the verification code displayed in the user's bank account.

Upon successful verification, the bank account status will be updated to verified and eligible for ACH debit transactions.

The following formats are accepted:

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/bank-accounts.write scope.

PUT

/accounts/{accountID}/bank-accounts/{bankAccountID}/verify

Ask

curl -X PUT "https://api.moov.io/accounts/{accountID}/bank-accounts/{bankAccountID}/verify" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00" \
  -d '{
  "code": "MV1234"
}'

Ask

mc, _ := moov.NewClient()

var accountID string
var bankAccountID string

mc.InstantVerificationComplete(ctx, accountID, bankAccountID, "MV1234")

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.bankAccounts.completeVerification({
    accountID: "2116e60b-0ea7-447e-a7af-5d647f92f06a",
    bankAccountID: "96606c15-fd37-49fe-9af2-4e42dcf44fe3",
    completeBankAccountVerification: {
      code: "MV1234",
    },
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov	o_Protocol; MoovPhp;
use Moov	o_Protocol; MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$completeBankAccountVerification = new Components\CompleteBankAccountVerification(
    code: 'MV1234',
);

$response = $sdk->bankAccounts->completeVerification(
    accountID: '2116e60b-0ea7-447e-a7af-5d647f92f06a',
    bankAccountID: '96606c15-fd37-49fe-9af2-4e42dcf44fe3',
    completeBankAccountVerification: $completeBankAccountVerification
);

if ($response->bankAccountVerification !== null) {
    // handle response
}

Ask

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.CompleteBankAccountVerification;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.operations.CompleteBankAccountVerificationResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws GenericError, Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

CompleteBankAccountVerificationResponse res = sdk.bankAccounts().completeVerification()
                .accountID("2116e60b-0ea7-447e-a7af-5d647f92f06a")
                .bankAccountID("96606c15-fd37-49fe-9af2-4e42dcf44fe3")
                .completeBankAccountVerification(CompleteBankAccountVerification.builder()
                    .code("MV1234")
                    .build())
                .call();

if (res.bankAccountVerification().isPresent()) {
            System.out.println(res.bankAccountVerification().get());
        }
    }
}

Ask

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.bank_accounts.complete_verification(account_id="2116e60b-0ea7-447e-a7af-5d647f92f06a", bank_account_id="96606c15-fd37-49fe-9af2-4e42dcf44fe3", code="MV1234")

# Handle response
    print(res)

Ask

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.bank_accounts.complete_verification(account_id: '2116e60b-0ea7-447e-a7af-5d647f92f06a', bank_account_id: '96606c15-fd37-49fe-9af2-4e42dcf44fe3', complete_bank_account_verification: Models::Components::CompleteBankAccountVerification.new(
  code: 'MV1234'
))

unless res.bank_account_verification.nil?
  # handle response
end

Ask

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.BankAccounts.CompleteVerificationAsync(
    accountID: "2116e60b-0ea7-447e-a7af-5d647f92f06a",
    bankAccountID: "96606c15-fd37-49fe-9af2-4e42dcf44fe3",
    body: new CompleteBankAccountVerification() {
        Code = "MV1234",
    }
);

// handle response

The request completed successfully.

Example

{
  "verificationMethod": "instant",
  "status": "new",
  "exceptionDetails": {
    "achReturnCode": "R02",
    "rtpRejectionCode": "AC03",
    "fednowRejectionCode": "string",
    "description": "string"
  }
}

Response headers

A unique identifier used to trace requests.

The server could not understand the request due to invalid syntax.

Example

{
  "error": "string"
}

Response headers

A unique identifier used to trace requests.

The request contained missing or expired authentication.

Response headers

A unique identifier used to trace requests.

The user is not authorized to make the request.

Response headers

A unique identifier used to trace requests.

The requested resource was not found.

Response headers

A unique identifier used to trace requests.

The request conflicted with the current state of the target resource.

Example

{
  "error": "string"
}

Response headers

A unique identifier used to trace requests.

The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields.

Example

{
  "error": "string"
}

Response headers

A unique identifier used to trace requests.

Request was refused due to rate limiting.

Response headers

A unique identifier used to trace requests.

The request failed due to an unexpected error.

Response headers

A unique identifier used to trace requests.

The request failed because a downstream service failed to respond.

Response headers

A unique identifier used to trace requests.

Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible values:

v2026.07.00

Code provided by user from their bank account transactions.

Possible values:

new, sent-credit, max-attempts-exceeded, failed, expired, successful

Possible values:

instant, ach

Reason for, and details related to, an errored or verificationFailed bank account status.

Show child attributes

Details related to an errored or verificationFailed bank account status.

The return code of an ACH transaction that caused the bank account status to change.

Possible values:

R02, R03, R04, R05, R07, R08, R10, R11, R12, R13, R14, R15, R16, R17, R20, R23, R29, R34, R38, R39

The rejection code of a FedNow transaction that caused the bank account status to change.

The rejection code of an RTP transaction that caused the bank account status to change.

Possible values:

AC03, AC04, AC06, AC14, AG01, AG03, MD07